slice {xgboost} | R Documentation

## Get a new DMatrix containing the specified rows of original xgb.DMatrix object

### Description

Get a new DMatrix containing the specified rows of original xgb.DMatrix object

### Usage

    slice(object, ...)

    ## S3 method for class 'xgb.DMatrix'
    slice(object, idxset, ...)

    ## S3 method for class 'xgb.DMatrix'
    object[idxset, colset = NULL]

### Arguments

`object` | Object of class "xgb.DMatrix"
`...` | other parameters (currently not used)
`idxset` | a integer vector of indices of rows needed
`colset` | currently not used (columns subsetting is not available)

### Examples

    data(agaricus.train, package='xgboost')
    train <- agaricus.train
    dtrain <- xgb.DMatrix(train$data, label=train$label)

    dsub <- slice(dtrain, 1:42)
    labels1 <- getinfo(dsub, 'label')
    dsub <- dtrain[1:42, ]
    labels2 <- getinfo(dsub, 'label')
    all.equal(labels1, labels2)

[Package xgboost version 0.90.0.2 Index]